> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atonom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule a Meeting

> Schedules a meeting using the Atonom voice agent system



## OpenAPI

````yaml POST /core/book_meeting
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: http://sandbox.mintlify.com
security:
  - bearerAuth: []
paths:
  /core/book_meeting:
    post:
      tags:
        - Meeting
      description: Schedules a meeting using the Atonom voice agent system
      requestBody:
        description: Schedule Meeting request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScheduleMeetingRequest'
        required: true
      responses:
        '200':
          description: Meeting scheduled successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScheduleMeetingResponse'
        '400':
          description: >-
            Bad request - invalid input parameters. Make sure required fields
            are provided and formatted correctly.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ScheduleMeetingRequest:
      type: object
      required:
        - data
      example:
        data:
          attributes:
            team_id: 123
            agent_id: 123
            meeting_type_id: 123
            attendee_email: john.doe@example.com
            start_time: '1716489600'
      properties:
        data:
          type: object
          required:
            - attributes
          properties:
            attributes:
              type: object
              required:
                - meeting_type_id
                - start_time
              properties:
                team_id:
                  type: integer
                  description: The team ID to schedule the meeting for
                agent_id:
                  type: integer
                  description: The agent ID to schedule the meeting for
                meeting_type_id:
                  type: integer
                  description: The meeting type ID to schedule the meeting for
                attendee_email:
                  type: string
                  description: >-
                    The email address of the attendee to schedule the meeting
                    for
                start_time:
                  type: string
                  description: The start time of the meeting in Unix seconds (stringified)
    ScheduleMeetingResponse:
      type: object
      required:
        - data
      example:
        data:
          id: abc
          attributes:
            meeting_id: abc
            team_id: 123
            agent_id: 123
            meeting_type_id: 123
            attendee_email: john.doe@example.com
            start_time: '1716489600'
      properties:
        data:
          type: object
          required:
            - attributes
            - id
          properties:
            id:
              type: string
              description: The ID of the meeting
            attributes:
              type: object
              required:
                - meeting_type_id
                - start_time
              properties:
                team_id:
                  type: string
                  description: The team ID to schedule the meeting for
                agent_id:
                  type: string
                  description: The agent ID to schedule the meeting for
                meeting_type_id:
                  type: string
                  description: The meeting type ID to schedule the meeting for
                attendee_email:
                  type: string
                  description: >-
                    The email address of the attendee to schedule the meeting
                    for
                start_time:
                  type: string
                  description: The start time of the meeting in Unix seconds (stringified)
    Error:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            type: object
            required:
              - status
              - title
            properties:
              status:
                type: string
                description: HTTP status code as a string
              title:
                type: string
                description: A short, human-readable summary of the error
              detail:
                type: string
                description: >-
                  A human-readable explanation specific to this occurrence of
                  the error
              source:
                type: string
                description: A reference to the source of the error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````